net.snowflake.client.core

## Enum SFStatementType

- java.lang.Object
- - java.lang.Enum<SFStatementType>
  - - net.snowflake.client.core.SFStatementType

All Implemented Interfaces:
  Serializable, Comparable<SFStatementType>

    public enum SFStatementType
    extends Enum<SFStatementType>

Used to check if the statementType belongs to DDL or DML The enum of each statement type is defined in com.snowflake.core.Statement.java

Author:
  hyu

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COPY`
`DDL`
`DELETE`
`DML`
`GET`
`INSERT`
`MERGE`
`MULTI_INSERT`
`PUT`
`SELECT`
`UNKNOWN`
`UPDATE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `getStatementTypeId()`
`boolean` `isDDL()`
`boolean` `isDML()`
`static SFStatementType` `lookUpTypeById(long id)`
`static SFStatementType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SFStatementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final SFStatementType UNKNOWN

#### PUT

    public static final SFStatementType PUT

#### GET

    public static final SFStatementType GET

#### SELECT

    public static final SFStatementType SELECT

#### DML

    public static final SFStatementType DML

#### INSERT

    public static final SFStatementType INSERT

#### UPDATE

    public static final SFStatementType UPDATE

#### DELETE

    public static final SFStatementType DELETE

#### MERGE

    public static final SFStatementType MERGE

#### MULTI_INSERT

    public static final SFStatementType MULTI_INSERT

#### COPY

    public static final SFStatementType COPY

#### DDL

    public static final SFStatementType DDL

### Method Detail

#### values

    public static SFStatementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SFStatementType c : SFStatementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SFStatementType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### lookUpTypeById

    public static SFStatementType lookUpTypeById(long id)

#### getStatementTypeId

    public long getStatementTypeId()

#### isDDL

    public boolean isDDL()

#### isDML

    public boolean isDML()